io.milvus.param.resourcegroup

## Class TransferNodeParam.Builder

- java.lang.Object
- - io.milvus.param.resourcegroup.TransferNodeParam.Builder

Enclosing class:
  TransferNodeParam

    public static final class TransferNodeParam.Builder
    extends java.lang.Object

Builder for `TransferNodeParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`TransferNodeParam` `build()` Verifies parameters and creates a new `TransferNodeParam` instance.
`TransferNodeParam.Builder` `withNodeNumber(@NonNull java.lang.Integer nodeNumber)` Specify query nodes to transfer to another resource group
`TransferNodeParam.Builder` `withSourceGroupName(@NonNull java.lang.String groupName)` Sets the source group name.
`TransferNodeParam.Builder` `withTargetGroupName(@NonNull java.lang.String groupName)` Sets the target group name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withSourceGroupName

    public TransferNodeParam.Builder withSourceGroupName(@NonNull
                                                         @NonNull java.lang.String groupName)

Sets the source group name. group name cannot be empty or null.

Parameters:
  `groupName` - source group name
Returns:
  `Builder`

#### withTargetGroupName

    public TransferNodeParam.Builder withTargetGroupName(@NonNull
                                                         @NonNull java.lang.String groupName)

Sets the target group name. group name cannot be empty or null.

Parameters:
  `groupName` - target group name
Returns:
  `Builder`

#### withNodeNumber

    public TransferNodeParam.Builder withNodeNumber(@NonNull
                                                    @NonNull java.lang.Integer nodeNumber)

Specify query nodes to transfer to another resource group

Parameters:
  `nodeNumber` - number of query nodes
Returns:
  `Builder`

#### build

    public TransferNodeParam build()
                            throws ParamException

Verifies parameters and creates a new `TransferNodeParam` instance.

Returns:
  `TransferNodeParam`
Throws:
  `ParamException`